scim_filter.h File Reference

Defines scim::FilterFactoryBase and scim::FilterInstanceBase interfaces. More...

## Classes

class | scim::FilterError
| An exception class to hold Filter related errors. More...
struct | scim::FilterInfo
| Structure to hold information for a Filter. More...
class | scim::FilterFactoryBase
| The base class to implement FilterFactory classes. More...
class | scim::FilterInstanceBase
| The base class to implement FilterInstance classes. More...

## Namespaces

namespace | scim

## Typedefs

typedef Pointer< FilterFactoryBase > | scim::FilterFactoryPointer

## Detailed Description

Defines scim::FilterFactoryBase and scim::FilterInstanceBase interfaces.

scim::FilterFactoryBase and scim::FilterInstanceBase are used to implement filter IMEngines, such as Simplified Chinese <-> Traditional Chinese converter etc.